#!../venv/bin/python3.7
import sys
from PyQt5.QtWidgets import QApplication
from PyQt5.QtCore import QThread

from gui.mainwindow import MainWindow

from dataprovider.conductcalibprovider import ConductCalibProvider

from uim.conductcalibuim import ConductCalibUim


########################################################################################################################
# WINDOWS
########################################################################################################################

app = QApplication(sys.argv)
main_window = MainWindow()
main_window_ui = main_window.main_ui

########################################################################################################################
# DATA PROVIDERS
########################################################################################################################
conduct_prvd = ConductCalibProvider()

########################################################################################################################
# GUI MANAGERS
########################################################################################################################

conductcalib_uim = ConductCalibUim(conduct_prvd, main_window_ui)

########################################################################################################################
# LAUNCH APPLICATION
########################################################################################################################

main_window.show()
sys.exit(app.exec_())
